Kerbal Space Program - Bug #5204

Cannot complete contract "Build a station on an asteroid" - launchiD=0
07/02/2015 07:30 PM - SidMarcus

Status: Needs Clarification Start date: 07/02/2015
Severity: Normal % Done: 0%
Assignee:
Category:
Target version:
Version: 1.04 Language: English (US)
Platform: Win32 Mod Related: No

Expansion:

Description

What happens:

It is not possible to complete a contract requiring to build a station on an asteroid.

When the station docks to the asteroid with the Klaw, the requirement "Build a new station that has power, an antenna, and a
docking port" unticks.

How to reproduce:

Get a contract to build a station on an asteroid.

Fulfill the requirement "Build a new station that has power, an antenna, and a docking port" for your station.
Dock your station on the asteroid.

The requirement "Build a new station that has power, an antenna, and a docking port" should become unticked.

Apparent cause:

Seems to be related to the launchlD parameter of the asteroid in the save file.

The launchID parameter seems to be 0 for all asteroids.

But the contract requires the full station to be "new" (i.e. in my case, to have a launchlD parameter above 150), and so considers the
asteroid part to be "too old".

Workaround :
Editing the save file by setting the launchlID parameter of the asteroid to a higher number (I put 180) allowed the requirement to be
ticked properly, thus fixing the issue.

Versions Affected:
1.04

Mods installed :

Kerbal Engineer Redux

Chatterer

Environmental Visual Enhancements
Final Frontier

History

#1 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 01/08/2016 02:02 AM - AmoebaMan

Confirmed in 1.0.5 on Mac. Seems like a pretty simple fix, no?

#4 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from New to Needs Clarification

04/19/2024 1/1



http://www.tcpdf.org

